PPL-CONFIG(1)

NAME
ppl-config - obtain information about an installation of the Parma Polyhedra Library

SYNOPSIS
ppl-config [OPTION]...

DESCRIPTION
Displays information, in various formats, about an installation of the Parma Polyhedra Library.

OPTIONS

-h, --help
    prints this help text to stdout

-FFMT, --format=FMT
    sets the output format to FMT (one of `plain', `makefile', `sh' or `csh')

-IINT, --interface=INT
    selects a library interface (one of `C++', `C', `Ciao-Prolog', `GNU-Prolog', `SICStus-Prolog', `SWI-Prolog', `XSB-Prolog', `YAP-Prolog', `OCaml' or `Java')

-A, --application
    selects output for building an application

-L, --library
    selects output for building a library

-p[PFX], --prefix[=PFX]
    prints or sets library prefix information

-e[PFX], --exec-prefix[=PFX]
    prints or sets library exec-prefix information

-O, --configure-options
    prints configuration options

-V, --version
    prints version information

-M, --version-major
    prints version major number

-N, --version-minor
    prints version minor number

-R, --version-revision
    prints version revision number

-B, --version-beta
    prints version beta number

-E, --banner
    prints library banner

-n, --coefficients
    prints type of library coefficients

-i, --includedir
    prints include files directory

-b, --bindir
    prints binary executables directory

-l, --libdir
    prints library files directory

-P, --cppflags
    prints preprocessor flags

-C, --cflags
    prints C compiler flags

-X, --cxxflags
    prints C++ compiler flags

-D, --ldflags
    prints linker flags

-g, --license
    prints synthetic licensing information

-c, --copying
    prints detailed licensing information

-u, --bugs
    prints bug reporting information

-r, --credits
    prints credits

AVAILABILITY
The latest version of the Parma Polyhedra Library and all the documentation is available at http://bugseng.com/products/ppl/.

AUTHOR
See the file CREDITS in the source distribution or use the command ppl-config --credits for a list of contributors.

REPORTING BUGS
Report bugs to <ppl-devel@cs.unipr.it>.

COPYRIGHT AND NO WARRANTY
Copyright (C) 2001-2010 Roberto Bagnara <bagnara@cs.unipr.it> Copyright (C) 2010-2016 BUGSENG srl (http://bugseng.com)
This is free software; see the file COPYING in the source distribution or use the command ppl-config --copying to obtain the copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

REPORTING BUGS
Report bugs to <ppl-devel@cs.unipr.it>.

SEE ALSO
libppl(3)

libppl_c(3)

Roberto Bagnara, Patricia M. Hill, and Enea Zaffanella. The Parma Polyhedra Library User's Manual (version 1.2), available (in several formats) at http://bugseng.com/products/ppl/ .

Roberto Bagnara, Patricia M. Hill, and Enea Zaffanella. The Parma Polyhedra Library C Language Interface User's Manual (version 1.2), available (in several formats) at http://bugseng.com/products/ppl/ .

Roberto Bagnara, Patricia M. Hill, and Enea Zaffanella. The Parma Polyhedra Library Java Language Interface User's Manual (version 1.2), available (in several formats) at http://bugseng.com/products/ppl/ .

Roberto Bagnara, Patricia M. Hill, and Enea Zaffanella. The Parma Polyhedra Library OCaml Language Interface User's Manual (version 1.2), available (in several formats) at http://bugseng.com/products/ppl/ .

Roberto Bagnara, Patricia M. Hill, and Enea Zaffanella. The Parma Polyhedra Library Prolog Language Interface User's Manual (version 1.2), available (in several formats) at http://bugseng.com/products/ppl/ .